Package org.eclipse.emf.cdo.explorer.checkouts

# Interface CDOCheckoutManager

All Superinterfaces:
  `CDOExplorerManager<CDOCheckout>`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<CDOCheckout>`, `org.eclipse.net4j.util.event.INotifier`

public interface CDOCheckoutManager extends CDOExplorerManager<CDOCheckout>
Manages a set of `checkouts`.

Since:
  4.4
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOCheckoutManager.CheckoutEvent`
`static interface`
`CDOCheckoutManager.CheckoutInitializeEvent`
`static interface`
`CDOCheckoutManager.CheckoutStateEvent`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerManager

`CDOExplorerManager.ElementsChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`CDOCheckout`
`addCheckout(Properties properties)`
`CDOCheckout`
`getCheckout(String id)`
`CDOCheckout`
`getCheckout(CDOView view)`
`CDOCheckout`
`getCheckoutByLabel(String label)`
`CDOCheckout[]`
`getCheckouts()`

### Methods inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerManager

`getUniqueLabel`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getCheckout

CDOCheckout getCheckout(String id)

### getCheckout

CDOCheckout getCheckout(CDOView view)

### getCheckoutByLabel

CDOCheckout getCheckoutByLabel(String label)

### getCheckouts

CDOCheckout[] getCheckouts()

### addCheckout

CDOCheckout addCheckout(Properties properties)